org.jfree.chart.block

## Class BlockResult

- java.lang.Object
- - org.jfree.chart.block.BlockResult

All Implemented Interfaces:
  EntityBlockResult

    public class BlockResult
    extends java.lang.Object
    implements EntityBlockResult

Used to return results from the draw() method in the `Block` class.

### Constructor Summary

Constructors
Constructor and Description
`BlockResult()` Creates a new result instance.

### Method Summary

Methods
`EntityCollection` `getEntityCollection()` Returns the collection of entities from the block.
`void` `setEntityCollection(EntityCollection entities)` Sets the entities for the block.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockResult

    public BlockResult()

Creates a new result instance.

### Method Detail

#### getEntityCollection

    public EntityCollection getEntityCollection()

Returns the collection of entities from the block.

Specified by:
  `getEntityCollection` in interface `EntityBlockResult`
Returns:
  The entities.

#### setEntityCollection

    public void setEntityCollection(EntityCollection entities)

Sets the entities for the block.

Parameters:
  `entities` - the entities.